import moment from'moment'

class Formating {

  constructor() {
  }

  getDate (key, date) {
    if (!date) {
      if (key === 'dtStart') {
        return moment().subtract(1, "months").add(1, 'days').startOf('day').startOf('minute').format("YYYY-MM-DDTHH:mm:ss")
      }
      if (key === 'dtFinish') {
        return moment().endOf('day').endOf('minute').format("YYYY-MM-DDTHH:mm:ss")
      }
    }
    return date
  }

  dateStart (format, date) {
    if (!date) {
      date = moment().subtract(1, "months").add(1, 'days')
    }
    return moment(date, format).startOf('day').startOf('minute').format("YYYY-MM-DDTHH:mm:ss")
  }

  dateFinish (format, date) {
    if (!date) {
      date = moment()
    }
    return moment(date, format).endOf('day').startOf('minute').format("YYYY-MM-DDTHH:mm:ss")
  }
}

export default Formating